"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiMostUsedQueryBuilder = void 0;
const entities_1 = require("../../entities");
const values_1 = require("../../values");
const base_query_builder_1 = require("./base.query.builder");
class DataApiMostUsedQueryBuilder extends base_query_builder_1.DataApiBaseQueryBuilder {
    constructor(query) {
        super();
        this.copyProps(query);
    }
    fromDate(date) {
        this.addOption('date', date);
        return this;
    }
    getValues() {
        this.addValues(values_1.MostUsedValue.rank, values_1.MostUsedValue.key, values_1.MostUsedValue.value);
        return this.buildQuery(entities_1.DataApiQueryType.MOST_USED);
    }
}
exports.DataApiMostUsedQueryBuilder = DataApiMostUsedQueryBuilder;
//# sourceMappingURL=most.used.query.builder.js.map