"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TradingPairsValue = exports.MostUsedValue = exports.LatestQuoteValue = exports.HistoricalValue = exports.AggregateValue = void 0;
var AggregateValue;
(function (AggregateValue) {
    AggregateValue["first"] = "first";
    AggregateValue["last"] = "last";
    AggregateValue["min"] = "min";
    AggregateValue["max"] = "max";
    AggregateValue["count"] = "count";
    AggregateValue["sum"] = "sum";
    AggregateValue["avg"] = "avg";
})(AggregateValue = exports.AggregateValue || (exports.AggregateValue = {}));
var HistoricalValue;
(function (HistoricalValue) {
    HistoricalValue["first"] = "first";
    HistoricalValue["last"] = "last";
    HistoricalValue["min"] = "min";
    HistoricalValue["max"] = "max";
    HistoricalValue["count"] = "count";
    HistoricalValue["sum"] = "sum";
    HistoricalValue["avg"] = "avg";
    HistoricalValue["time"] = "time";
})(HistoricalValue = exports.HistoricalValue || (exports.HistoricalValue = {}));
var LatestQuoteValue;
(function (LatestQuoteValue) {
    LatestQuoteValue["price"] = "price";
    LatestQuoteValue["change24h"] = "change_24h";
    LatestQuoteValue["circulatingSupply"] = "circulating_supply";
    LatestQuoteValue["marketCap"] = "market_cap";
    LatestQuoteValue["volume24h"] = "volume_24h";
    LatestQuoteValue["time"] = "timestamp";
})(LatestQuoteValue = exports.LatestQuoteValue || (exports.LatestQuoteValue = {}));
var MostUsedValue;
(function (MostUsedValue) {
    MostUsedValue["rank"] = "rank";
    MostUsedValue["key"] = "key";
    MostUsedValue["value"] = "value";
})(MostUsedValue = exports.MostUsedValue || (exports.MostUsedValue = {}));
var TradingPairsValue;
(function (TradingPairsValue) {
    TradingPairsValue["address"] = "address";
    TradingPairsValue["state"] = "state";
    TradingPairsValue["firstToken"] = "first_token { identifier, name, decimals }";
    TradingPairsValue["secondToken"] = "second_token { identifier, name, decimals }";
})(TradingPairsValue = exports.TradingPairsValue || (exports.TradingPairsValue = {}));
//# sourceMappingURL=values.js.map